<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="cf-enterprise-backups">
  <title>Backing Up Content Fusion Data</title>
  <prolog>
    <metadata>
      <keywords>
        <indexterm>Content Fusion Enterprise - Backups</indexterm>
        <indexterm>Backing up data</indexterm>
        <indexterm>Backups</indexterm>
      </keywords>
    </metadata>
  </prolog>
  <body>
    <p id="p_i35_dgk_54b">It is recommended for the server administrator to set up periodic backups for the <ph
        keyref="cfEnterprise"/>.</p>
    <section id="section_dy1_p3k_ndb">
      <title>Creating a Backup</title>
      <p id="p_j35_dgk_54b">A Content Fusion backup contains a <xref href="https://www.postgresql.org/" format="html"
          scope="external">PostgreSQL</xref> database dump along with configuration and task
        files.</p>
      <p id="p_rqc_frj_54b">To create a backup, execute the following command on the <b>Content
          Fusion</b> machine:
        <codeblock  id="codeblock_k35_dgk_54b">sudo bash /fusion/admin/create-fusion-backup.sh</codeblock></p>
      <note id="note_zyw_c21_54b" type="important">The <filepath>create-fusion-backup.sh</filepath>
        script had an inherited critical bug in Content Fusion 2.0 and 3.0 and should be updated
        before attempting to create a new backup. More details can be found here: <xref
          href="https://www.oxygenxml.com/content_fusion/critical_content_fusion_backup.html"
          format="html" scope="external"/>.</note>
      <note type="tip" id="note_qlf_frj_54b">A review task is divided into two parts (task metadata
        that is stored in a database and task files that are stored on the file system). Therefore,
        backups might contain tasks with small de-synchronizations. For this reason, the server
        administrator should choose a time with the least amount of usage to create the
        backup.</note>
      <p id="p_sqc_frj_54b">This will create a backup archive
          (<filepath>fusion-backup.tar.gz</filepath>) in the current directory. If the backup file
        already exists, it will be overwritten.</p>
    </section>
    <section id="section_im4_p3k_ndb">
      <title>Storing a Backup</title>
      <p id="p_l35_dgk_54b">The server administrator should create backups and download them to a safe backup storage
        location periodically. One method of doing this is to create a <cmdname>cron</cmdname> job
        that periodically connects to the <b>Content Fusion</b> machine to create a backup and
        download it using <cmdname>rsync</cmdname>.</p>
    </section>
    <section id="section_dzj_q3k_ndb">
      <title>Restoring a Backup</title>
      <p id="p_m35_dgk_54b">To restore <b>Content Fusion</b> from a backup, execute the following command on the
        Content Fusion
        machine:<codeblock  id="codeblock_n35_dgk_54b">sudo bash /fusion/admin/restore-fusion-backup.sh /path/to/fusion-backup.tar.gz</codeblock></p>
      <p id="p_o35_dgk_54b">The script takes one argument, the path to the backup file to restore from.</p>
      <p id="p_p35_dgk_54b">
        <note id="note_sw1_nqz_r4b">restore-fusion-backup.sh will scan the given backup and if it is
          corrupted it will ask whether to continue or not. You can use the <codeph>-n</codeph>
          option to run it in non-interactive mode, where it will fail when encountering a corrupted
          backup.</note>
      </p>
      <p id="p_q35_dgk_54b">After restoring from the backup, start <b>Content Fusion</b> by using the following
        command:<codeblock  id="codeblock_r35_dgk_54b">sudo bash /fusion/admin/start-content-fusion.sh</codeblock></p>
    </section>
  </body>
</topic>
